gupnp_root_device_new
gupnp_root_device_start
Gupnp Functions
PHP Manual

# gupnp_root_device_set_available

Set whether or not root_device is available

### Description

bool gupnp_root_device_set_available ( resource `$root_device` , bool `$available` )

Controls whether or not root_device is available (announcing its presence).

### Parameters

`root_device`

  A root device identifier, returned by gupnp_root_device_new.

`available`

  Set `TRUE` if `root_device` should be available.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- gupnp_root_device_get_available